import { WebView } from "react-native-webview";
 import { View } from "react-native";

const WebviewContainer = ({ handleSetRef, handleEndLoading }) => {
  const uri = "http://pjs.dothome.co.kr"; // url 아님... 원래 코드가 이거라서 안먹힌 원인이다.

  /** 웹뷰에서 rn으로 값을 보낼때 거치는 함수 */
  const handleOnMessage = ({ nativeEvent: { data } }) => {
    // data에 웹뷰에서 보낸 값이 들어옵니다.
    console.log(data);
  };

  return (
	<View style={{ width: "100%", height: "100%" }}> 
        <WebView
          onLoadEnd={handleEndLoading}
          onMessage={handleOnMessage}
          ref={handleSetRef}
          source={{ uri }}
        />
    </View>
  );
};

export default WebviewContainer;